﻿@model MVCGettingStarted.Models.CreateIngredientViewModel

<div class="modal-header" style="border: none;">
    <h2 id="createIngredientTitle" style="display: inline;">Create ingredient</h2>
    <button type="button" class="close myrecipes-recipes-remove" data-dismiss="modal" aria-hidden="true" style="display: inline;">
        <span class="glyphicon glyphicon-remove" aria-hidden="true"></span>
    </button>
</div>

@using (Ajax.BeginForm("Create", "Ingredients", FormMethod.Post, new AjaxOptions
                                                                 {
                                                                    InsertionMode = InsertionMode.Replace,
                                                                    HttpMethod = "POST"
                                                                 }))
{
    @Html.ValidationSummary()
    @Html.AntiForgeryToken()
    <div class="modal-body" style="display: table; font-size: 1.2em; margin: auto;">
        <div style="display: table-row;">
            @Html.LabelFor(model => model.Name, htmlAttributes: new { @class = "control-label", style = "display: table-cell;" })
            <div class="control-container" style="display: table-cell;">
                @Html.EditorFor(model => model.Name, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Name, "", new { @class = "text-danger" })
            </div>
        </div>
        <div style="display: table-row;">
            @Html.LabelFor(model => model.MeasurementUnitUid, "Measurement Unit", htmlAttributes: new { @class = "control-label", style = "display: table-cell;" })
            <div class="control-container" style="display: table-cell;">
                @Html.DropDownListFor(model => model.MeasurementUnitUid, new SelectList(ViewBag.MeasurementUnits, "Value", "Text"), htmlAttributes: new { @class = "form-control" })
                @Html.ValidationMessageFor(model => model.MeasurementUnitUid, "", new { @class = "text-danger" })
            </div>
        </div>
        <div style="display: table-row;">
            @Html.LabelFor(model => model.Price, htmlAttributes: new { @class = "control-label", style = "display: table-cell;" })
            <div class="control-container" style="display: table-cell;">
                @Html.EditorFor(model => model.Price, new { htmlAttributes = new { @class = "form-control" } })
                @Html.ValidationMessageFor(model => model.Price, "", new { @class = "text-danger" })
            </div>
        </div>
    </div>
    <div class="modal-footer" style="border: none;">
        <button class="btn btn-success" type="submit">Save</button>
        <button class="btn btn-default" data-dismiss="modal">Cancel</button>
    </div>
}
